Loading...
Searching...
No Matches
pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry Class Reference

Priority queue entry for branch nodes More...

`#include <pcl/octree/octree_search.h>`

## Public Member Functions

| prioBranchQueueEntry ()
| Empty constructor
| prioBranchQueueEntry (OctreeNode *_node, OctreeKey &_key, float _point_distance)
| Constructor for initializing priority queue entry.
bool | operator< (const prioBranchQueueEntry rhs) const
| Operator< for comparing priority queue entries with each other.

## Public Attributes

const OctreeNode * | node
| Pointer to octree node.
float | point_distance
| Distance to query point.
OctreeKey | key
| Octree key.

## Detailed Description

template<typename PointT, typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>
class pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry

Priority queue entry for branch nodes

Note
  This class defines priority queue entries for the nearest neighbor search.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 295 of file octree_search.h.

## Constructor & Destructor Documentation

## prioBranchQueueEntry() [1/2]

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::prioBranchQueueEntry | ( |  | ) |

inline

Empty constructor

Definition at line 298 of file octree_search.h.

## prioBranchQueueEntry() [2/2]

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::prioBranchQueueEntry | ( | OctreeNode * | _node,
|  | OctreeKey & | _key,
|  | float | _point_distance
| ) |  |

inline

Constructor for initializing priority queue entry.

Parameters

  | _node | pointer to octree node
  | _key | octree key addressing voxel in octree structure
  [in] | _point_distance | distance of query point to voxel center

Definition at line 305 of file octree_search.h.

## Member Function Documentation

## operator<()

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

bool pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::operator< | ( | const prioBranchQueueEntry | rhs | ) | const

inline

Operator< for comparing priority queue entries with each other.

Parameters

  [in] | rhs | the priority queue to compare this against

Definition at line 312 of file octree_search.h.

References pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::point_distance.

## Member Data Documentation

## key

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

OctreeKey pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::key

Octree key.

Definition at line 325 of file octree_search.h.

## node

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

const OctreeNode* pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::node

Pointer to octree node.

Definition at line 319 of file octree_search.h.

## point_distance

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

float pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::point_distance

Distance to query point.

Definition at line 322 of file octree_search.h.

Referenced by pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioBranchQueueEntry::operator<().

The documentation for this class was generated from the following file:

- pcl/octree/octree_search.h